﻿$ErrorActionPreference = 'Stop'
$packageName  = 'advancedrun' 
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url          = 'http://www.nirsoft.net/utils/advancedrun.zip'
$checksum     = 'C27AB0127059573B20AADAFE839A832E3407EBDBF5D79613D531F2D14F5D5E1C'
$url64        = 'http://www.nirsoft.net/utils/advancedrun-x64.zip'
$checksum64   = '0EDE9ACD6CBF524904A9133DB733B0AF8870A94CACAFDDF7CAAA2B0BA19CFA43'
$shortcutName = 'AdvancedRun.lnk'
$exe          = 'AdvancedRun.exe'

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $toolsDir
  fileType       = 'ZIP' 
  url            = $url
  checksum       = $checksum
  checksumType   = 'sha256'
  url64          = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'  
}

Install-ChocolateyZipPackage @packageArgs

Install-ChocolateyShortcut -shortcutFilePath "$ENV:Public\Desktop\$shortcutName" -targetPath "$toolsDir\$exe" -WorkingDirectory "$toolsDir"
Install-ChocolateyShortcut -shortcutFilePath "$ENV:ProgramData\Microsoft\Windows\Start Menu\Programs\$shortcutName" -targetPath "$toolsDir\$exe"    
